CREATE TABLE `tbDomain`
(
	 `DomainId` AUTOINCREMENT
	,`Domain` NVARCHAR(255) NOT NULL
	,`Active` BIT NOT NULL
	,`ConfigurationId` INT NOT NULL
	,`DomainPassword` VARCHAR(255) NULL
	,`DomainUserName` VARCHAR(255) NULL
	,`ConcurrencyId` VARCHAR(50) NOT NULL
	,`UseAES256` BIT NOT NULL
	,CONSTRAINT `PK_DomainId` PRIMARY KEY (`DomainId`)
)

GO

ALTER TABLE `tbDomain` ADD 
	CONSTRAINT `FK_tbDomain_ConfigurationId` FOREIGN KEY 
	(
		`ConfigurationId`
	)
	REFERENCES `tbConfiguration` (`ConfigurationId`)

GO


INSERT INTO `tbDomain`
	(`Domain`, `Active`, `ConfigurationId`, `ConcurrencyId`, `UseAES256`)
SELECT TOP 1  (
	SELECT TOP 1 `ActiveDirectoryDomain` FROM `tbConfiguration`
) AS `Domain`, TRUE, 1, 'F8B7C85D-45D4-4e9e-8AF3-65F479599D65', FALSE from `tbConfiguration`
WHERE `ActiveDirectoryDomain` IS NOT NULL AND `ActiveDirectoryDomain` <> ''

GO
